Bug 1181193 - Review Request: cdsclient - Tools to query databases at CDS
Summary: Review Request: cdsclient - Tools to query databases at CDS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Astronomy-SIG
TreeView+ depends on / blocked
 
Reported: 2015-01-12 14:46 UTC by Christian Dersch
Modified: 2015-02-04 08:02 UTC (History)
2 users (show)

Fixed In Version: cdsclient-3.78-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-04 08:01:19 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christian Dersch 2015-01-12 14:46:59 UTC
Spec URL: https://lupinix.fedorapeople.org/review/cdsclient.spec
SRPM URL: https://lupinix.fedorapeople.org/review/cdsclient-3.77-1.fc21.src.rpm
Description: Tools to query databases at CDS
Fedora Account System Username: lupinix

Thanks for review in advance!

Comment 1 Christian Dersch 2015-01-12 14:57:03 UTC
Koji build for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=8590840

Comment 2 Michael Schwendt 2015-01-19 08:20:41 UTC
> # Doesn't produce debuginfo and contains mainly csh scripts
> %global debug_package %{nil}

"mainly" perhaps, but "not only". ;)  The package certainly compiles several C source files, so disabling -debuginfo package generation is counterproductive.
https://fedoraproject.org/wiki/Packaging:Guidelines#Debuginfo_packages


> gcc -O   -I. -c aclient.c
> gcc -O   -I. -c skclient.c
> gcc -O   -I. -c skio.c
> gcc wwwget.c  -o wwwget
> gcc aclient.o skclient.o skio.o  -o aclient

https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags


> strip aclient
> strip wwwget

This and building without -g breaks -debuginfo package generation already. rpmbuild would strip files after extracting debug details.


> %{_bindir}/*

Everything as intended in there? A few .old files. A strange .gz file:

  $ md5sum find*
  6d2dc742a996ab6bc0c6bfd509ba2148  find_cats
  6d2dc742a996ab6bc0c6bfd509ba2148  find_cats.gz

Comment 3 Christian Dersch 2015-01-19 10:45:48 UTC
Thank you for your comment :) I will fix this and also update to the new upstream release 3.78.

Comment 4 Christian Dersch 2015-01-19 15:28:40 UTC
Updated and patched, now we have useful debuginfo :)

Spec URL: https://lupinix.fedorapeople.org/review/cdsclient.spec
SRPM URL: https://lupinix.fedorapeople.org/review/cdsclient-3.78-1.fc21.src.rpm

Comment 5 Christian Dersch 2015-01-25 14:26:24 UTC
Patched for correct location of abibcode.tex and fixed another issue in abibcode script

Spec URL: https://lupinix.fedorapeople.org/review/cdsclient.spec
SRPM URL: https://lupinix.fedorapeople.org/review/cdsclient-3.78-2.fc21.src.rpm

Comment 6 Wolfgang Ulbrich 2015-01-25 15:00:49 UTC
APPROVED!

There some minors which you can adjust before you upload to git.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

This can be ignored, rpmlint doesn't honor new %license macro!


===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/rave/cdsclient/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/man/mantex, /usr/share/licenses,
     /usr/share/cdsclient
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/man/mantex,
     /usr/share/licenses, /usr/share/cdsclient

Please own /usr/share/cdsclient and /usr/share/man/mantex before you upload to git.
I don't think it's necessary to own /usr/share/licenses, this should be done by a more general pamckage.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

Please write a comment in spec file why 'wget' is necessary before you upload to git.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.

Please add some comments for the patches.

[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: cdsclient-3.78-2.fc22.x86_64.rpm
          cdsclient-3.78-2.fc22.src.rpm
cdsclient.x86_64: W: manual-page-warning /usr/share/man/man1/wwwget.1.gz 6: warning: macro `NXB' not defined
cdsclient.x86_64: W: manual-page-warning /usr/share/man/man1/aclient.1.gz 6: warning: macro `NXB' not defined
cdsclient.x86_64: W: manual-page-warning /usr/share/man/man3/sk.3.gz 6: warning: macro `NXB' not defined
cdsclient.x86_64: W: no-manual-page-for-binary find2mass6x
cdsclient.x86_64: W: no-manual-page-for-binary findgsc
cdsclient.x86_64: W: no-manual-page-for-binary findsdss9
cdsclient.x86_64: W: no-manual-page-for-binary abibcode
cdsclient.x86_64: W: no-manual-page-for-binary vizquery
cdsclient.x86_64: W: no-manual-page-for-binary findmc2
cdsclient.x86_64: W: no-manual-page-for-binary findcmc15
cdsclient.x86_64: W: no-manual-page-for-binary findglimpse
cdsclient.x86_64: W: no-manual-page-for-binary findcfhtd
cdsclient.x86_64: W: no-manual-page-for-binary findenis1
cdsclient.x86_64: W: no-manual-page-for-binary findcmc14
cdsclient.x86_64: W: no-manual-page-for-binary catcat
cdsclient.x86_64: W: no-manual-page-for-binary findusnob1
cdsclient.x86_64: W: no-manual-page-for-binary findpmm2
cdsclient.x86_64: W: no-manual-page-for-binary findpmm1
cdsclient.x86_64: W: no-manual-page-for-binary findspm4
cdsclient.x86_64: W: no-manual-page-for-binary findcfhtw
cdsclient.x86_64: W: no-manual-page-for-binary findtycab
cdsclient.x86_64: W: no-manual-page-for-binary findsdss7
cdsclient.x86_64: W: no-manual-page-for-binary findsdss6
cdsclient.x86_64: W: no-manual-page-for-binary simref
cdsclient.x86_64: W: no-manual-page-for-binary findsdss4
cdsclient.x86_64: W: no-manual-page-for-binary findsdss8
cdsclient.x86_64: W: no-manual-page-for-binary findsdss-sp
cdsclient.x86_64: W: no-manual-page-for-binary findwise0
cdsclient.x86_64: W: no-manual-page-for-binary findgalex5m
cdsclient.x86_64: W: no-manual-page-for-binary simbib
cdsclient.x86_64: W: no-manual-page-for-binary findusnoa1
cdsclient.x86_64: W: no-manual-page-for-binary findgalex5a
cdsclient.x86_64: W: no-manual-page-for-binary findusnoa2
cdsclient.x86_64: W: no-manual-page-for-binary findugps6
cdsclient.x86_64: W: no-manual-page-for-binary find_gen1
cdsclient.x86_64: W: no-manual-page-for-binary findulas7
cdsclient.x86_64: W: no-manual-page-for-binary aclient_cgi
cdsclient.x86_64: W: no-manual-page-for-binary findiphas2
cdsclient.x86_64: W: no-manual-page-for-binary findigsl
cdsclient.x86_64: W: no-manual-page-for-binary findsdss5
cdsclient.x86_64: W: no-manual-page-for-binary findsdss3
cdsclient.x86_64: W: no-manual-page-for-binary findcat
cdsclient.x86_64: W: no-manual-page-for-binary findenis
cdsclient.x86_64: W: no-manual-page-for-binary findppmx
cdsclient.x86_64: W: no-manual-page-for-binary findwise_pre
cdsclient.x86_64: W: no-manual-page-for-binary findulas9
cdsclient.x86_64: W: no-manual-page-for-binary findulas8
cdsclient.x86_64: W: no-manual-page-for-binary findwise
cdsclient.x86_64: W: no-manual-page-for-binary find2mass
cdsclient.x86_64: W: no-manual-page-for-binary findacro
cdsclient.x86_64: W: no-manual-page-for-binary findgsc1.3
cdsclient.x86_64: W: no-manual-page-for-binary findudxs8
cdsclient.x86_64: W: no-manual-page-for-binary findviking1
cdsclient.x86_64: W: no-manual-page-for-binary findenis2
cdsclient.x86_64: W: no-manual-page-for-binary findgsc2.2
cdsclient.x86_64: W: no-manual-page-for-binary findgsc2.3
cdsclient.x86_64: W: no-manual-page-for-binary findenis3
cdsclient.x86_64: W: no-manual-page-for-binary findnomad1
cdsclient.x86_64: W: no-manual-page-for-binary find2massi
cdsclient.x86_64: W: no-manual-page-for-binary findsage
cdsclient.x86_64: W: no-manual-page-for-binary findugcs9
cdsclient.x86_64: W: no-manual-page-for-binary findudxs9
cdsclient.x86_64: W: no-manual-page-for-binary find_gen
cdsclient.x86_64: W: no-manual-page-for-binary Detex
cdsclient.x86_64: W: no-manual-page-for-binary findwisep
cdsclient.x86_64: W: no-manual-page-for-binary findgsc1.2
cdsclient.x86_64: W: no-manual-page-for-binary lscat
cdsclient.x86_64: W: no-manual-page-for-binary findmc_irsf
cdsclient.x86_64: W: no-manual-page-for-binary finducac4
cdsclient.x86_64: W: no-manual-page-for-binary finducac2
cdsclient.x86_64: W: no-manual-page-for-binary finducac3
cdsclient.x86_64: W: no-manual-page-for-binary findgsc1.1
cdsclient.x86_64: W: no-manual-page-for-binary finducac1
cdsclient.x86_64: W: no-manual-page-for-binary sesame
cdsclient.x86_64: W: no-manual-page-for-binary findenis-p
cdsclient.x86_64: W: no-manual-page-for-binary findppmxl
cdsclient.x86_64: W: no-manual-page-for-binary findtyc2
cdsclient.x86_64: W: no-manual-page-for-binary find_cats
cdsclient.x86_64: W: no-manual-page-for-binary findugcs8
cdsclient.x86_64: W: no-manual-page-for-binary find2mas6x
cdsclient.x86_64: W: no-manual-page-for-binary findpmm
cdsclient.x86_64: W: no-manual-page-for-binary findkic
cdsclient.src: W: spelling-error %description -l en_US vizquery -> viz query, viz-query, quivery
2 packages and 0 specfiles checked; 0 errors, 83 warnings.

All this warnings are a job for upstream!



Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@mother /]# rpmlint cdsclient
cdsclient.x86_64: W: manual-page-warning /usr/share/man/man1/wwwget.1.gz 6: warning: macro `NXB' not defined
cdsclient.x86_64: W: manual-page-warning /usr/share/man/man1/aclient.1.gz 6: warning: macro `NXB' not defined
cdsclient.x86_64: W: manual-page-warning /usr/share/man/man3/sk.3.gz 6: warning: macro `NXB' not defined
cdsclient.x86_64: W: no-manual-page-for-binary find2mass6x
cdsclient.x86_64: W: no-manual-page-for-binary findgsc
cdsclient.x86_64: W: no-manual-page-for-binary findsdss9
cdsclient.x86_64: W: no-manual-page-for-binary abibcode
cdsclient.x86_64: W: no-manual-page-for-binary vizquery
cdsclient.x86_64: W: no-manual-page-for-binary findmc2
cdsclient.x86_64: W: no-manual-page-for-binary findcmc15
cdsclient.x86_64: W: no-manual-page-for-binary findglimpse
cdsclient.x86_64: W: no-manual-page-for-binary findcfhtd
cdsclient.x86_64: W: no-manual-page-for-binary findenis1
cdsclient.x86_64: W: no-manual-page-for-binary findcmc14
cdsclient.x86_64: W: no-manual-page-for-binary catcat
cdsclient.x86_64: W: no-manual-page-for-binary findusnob1
cdsclient.x86_64: W: no-manual-page-for-binary findpmm2
cdsclient.x86_64: W: no-manual-page-for-binary findpmm1
cdsclient.x86_64: W: no-manual-page-for-binary findspm4
cdsclient.x86_64: W: no-manual-page-for-binary findcfhtw
cdsclient.x86_64: W: no-manual-page-for-binary findtycab
cdsclient.x86_64: W: no-manual-page-for-binary findsdss7
cdsclient.x86_64: W: no-manual-page-for-binary findsdss6
cdsclient.x86_64: W: no-manual-page-for-binary simref
cdsclient.x86_64: W: no-manual-page-for-binary findsdss4
cdsclient.x86_64: W: no-manual-page-for-binary findsdss8
cdsclient.x86_64: W: no-manual-page-for-binary findsdss-sp
cdsclient.x86_64: W: no-manual-page-for-binary findwise0
cdsclient.x86_64: W: no-manual-page-for-binary findgalex5m
cdsclient.x86_64: W: no-manual-page-for-binary simbib
cdsclient.x86_64: W: no-manual-page-for-binary findusnoa1
cdsclient.x86_64: W: no-manual-page-for-binary findgalex5a
cdsclient.x86_64: W: no-manual-page-for-binary findusnoa2
cdsclient.x86_64: W: no-manual-page-for-binary findugps6
cdsclient.x86_64: W: no-manual-page-for-binary find_gen1
cdsclient.x86_64: W: no-manual-page-for-binary findulas7
cdsclient.x86_64: W: no-manual-page-for-binary aclient_cgi
cdsclient.x86_64: W: no-manual-page-for-binary findiphas2
cdsclient.x86_64: W: no-manual-page-for-binary findigsl
cdsclient.x86_64: W: no-manual-page-for-binary findsdss5
cdsclient.x86_64: W: no-manual-page-for-binary findsdss3
cdsclient.x86_64: W: no-manual-page-for-binary findcat
cdsclient.x86_64: W: no-manual-page-for-binary findenis
cdsclient.x86_64: W: no-manual-page-for-binary findppmx
cdsclient.x86_64: W: no-manual-page-for-binary findwise_pre
cdsclient.x86_64: W: no-manual-page-for-binary findulas9
cdsclient.x86_64: W: no-manual-page-for-binary findulas8
cdsclient.x86_64: W: no-manual-page-for-binary findwise
cdsclient.x86_64: W: no-manual-page-for-binary find2mass
cdsclient.x86_64: W: no-manual-page-for-binary findacro
cdsclient.x86_64: W: no-manual-page-for-binary findgsc1.3
cdsclient.x86_64: W: no-manual-page-for-binary findudxs8
cdsclient.x86_64: W: no-manual-page-for-binary findviking1
cdsclient.x86_64: W: no-manual-page-for-binary findenis2
cdsclient.x86_64: W: no-manual-page-for-binary findgsc2.2
cdsclient.x86_64: W: no-manual-page-for-binary findgsc2.3
cdsclient.x86_64: W: no-manual-page-for-binary findenis3
cdsclient.x86_64: W: no-manual-page-for-binary findnomad1
cdsclient.x86_64: W: no-manual-page-for-binary find2massi
cdsclient.x86_64: W: no-manual-page-for-binary findsage
cdsclient.x86_64: W: no-manual-page-for-binary findugcs9
cdsclient.x86_64: W: no-manual-page-for-binary findudxs9
cdsclient.x86_64: W: no-manual-page-for-binary find_gen
cdsclient.x86_64: W: no-manual-page-for-binary Detex
cdsclient.x86_64: W: no-manual-page-for-binary findwisep
cdsclient.x86_64: W: no-manual-page-for-binary findgsc1.2
cdsclient.x86_64: W: no-manual-page-for-binary lscat
cdsclient.x86_64: W: no-manual-page-for-binary findmc_irsf
cdsclient.x86_64: W: no-manual-page-for-binary finducac4
cdsclient.x86_64: W: no-manual-page-for-binary finducac2
cdsclient.x86_64: W: no-manual-page-for-binary finducac3
cdsclient.x86_64: W: no-manual-page-for-binary findgsc1.1
cdsclient.x86_64: W: no-manual-page-for-binary finducac1
cdsclient.x86_64: W: no-manual-page-for-binary sesame
cdsclient.x86_64: W: no-manual-page-for-binary findenis-p
cdsclient.x86_64: W: no-manual-page-for-binary findppmxl
cdsclient.x86_64: W: no-manual-page-for-binary findtyc2
cdsclient.x86_64: W: no-manual-page-for-binary find_cats
cdsclient.x86_64: W: no-manual-page-for-binary findugcs8
cdsclient.x86_64: W: no-manual-page-for-binary find2mas6x
cdsclient.x86_64: W: no-manual-page-for-binary findpmm
cdsclient.x86_64: W: no-manual-page-for-binary findkic
1 packages and 0 specfiles checked; 0 errors, 82 warnings.
]0;<mock-chroot><mock-chroot>[root@mother /]# echo 'rpmlint-done:'

All this warnings are a job for upstream!


Requires
--------
cdsclient (rpmlib, GLIBC filtered):
    /bin/csh
    /bin/sh
    libc.so.6()(64bit)
    rtld(GNU_HASH)
    wget



Provides
--------
cdsclient:
    cdsclient
    cdsclient(x86-64)



Source checksums
----------------
ftp://cdsarc.u-strasbg.fr/pub/sw/cdsclient-3.78.tar.gz :
  CHECKSUM(SHA256) this package     : 6d9fd29f10a572580049f3a502349791bef492e9490a811a74212574217d5e56
  CHECKSUM(SHA256) upstream package : 6d9fd29f10a572580049f3a502349791bef492e9490a811a74212574217d5e56


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -v -r -n cdsclient-3.78-2 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Christian Dersch 2015-01-25 15:03:13 UTC
Thank you for reviewing cdsclient :)

Comment 8 Christian Dersch 2015-01-25 15:05:04 UTC
New Package SCM Request
=======================
Package Name: cdsclient
Short Description: Tools to query databases at CDS
Upstream URL: http://cdsarc.u-strasbg.fr/doc/cdsclient.html
Owners: lupinix
Branches: f20 f21
InitialCC:

Comment 9 Gwyn Ciesla 2015-01-25 21:41:21 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-01-26 00:29:42 UTC
cdsclient-3.78-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cdsclient-3.78-3.fc21

Comment 11 Fedora Update System 2015-01-26 00:36:41 UTC
cdsclient-3.78-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cdsclient-3.78-3.fc20

Comment 12 Fedora Update System 2015-01-27 02:56:00 UTC
cdsclient-3.78-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2015-02-04 08:01:19 UTC
cdsclient-3.78-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-02-04 08:02:46 UTC
cdsclient-3.78-3.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.